> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/bidaccount.md).

# BIDAccount

**public class** BIDAccount extends **Object**

↳ **package** com.onekosmos.blockid.sdk.datamodel

***

Model class to represent the user account data (attributes).

### Method Summary

| type   | class             | summary                                           |
| ------ | ----------------- | ------------------------------------------------- |
| String | getAccountOTP()   | Returns Account OTP associated with user account  |
| String | getAuthModuleId() | Returns AuthModuleID associated with user account |
| String | getCommunityId()  | Returns communityID associated with user account  |
| String | getDguid()        | Return DGUID of the user account                  |
| String | getSource()       | Returns source of user account                    |
| String | getTenantId()     | Returns tenantID associated with user account     |
| String | getUid()          | Returns UID of user account                       |
| String | getUrn()          | Returns URN of user account                       |
| String | getUsername()     | Return username of user account                   |

### Method Detail

#### getAccountOTP

**public** String getAccountOTP()

* Returns Account OTP associated with user account

***

#### getAuthModuleId

**public** String getAuthModuleId()

* Returns AuthModuleID associated with user account

***

#### getCommunityId

**public** String getCommunityId()

* Returns community's communityID

***

#### getDguid

**public** String getDguid()

* Return DGUID of user account

***

#### getSource

**public** String getSource()

* Returns source of user account

***

#### getTenantId

**public** String getTenantId()

* Returns tenant's tenantID

***

#### getUid

**public** String getUid()

* Returns user account UID

***

#### getUrn

**public** String getUrn()

* Returns user account URN

***

#### getUsername

**public** String getUsername()

* Returns the username associated with user account


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/bidaccount.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
